# $Revision: 1.21 $, $Date: 2010/06/06 08:30:02 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Algorithm
%define		pnam	SVM
Summary:	Perl bindings for the libsvm Support Vector Machine library
Summary(pl.UTF-8):	Dowiązania Perla do biblioteki libsvm (Support Vector Machine)
Name:		perl-Algorithm-SVM
Version:	0.13
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Algorithm/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	276ec1b341e05aa4c0353685f32ea4d5
URL:		http://search.cpan.org/dist/Algorithm-SVM/
BuildRequires:	libstdc++-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Algorithm::SVM implements a Support Vector Machine for Perl. Support
Vector Machines provide a method for creating classification functions
from a set of labeled training data, from which predictions can be
made for subsequent data sets.

%description -l pl.UTF-8
Moduł Algorithm::SVM jest implementacją Support Vector Machine dla
Perla. Support Vector Machines udostępniają sposób tworzenia funkcji
klasyfikujących ze zbioru oznaczonych danych treningowych, z których
można dokonywać przewidywań co do kolejnych zbiorów danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%{__sed} -i -e 's/#include <errno.h>/#include <errno.h>\n#include <stdlib.h>\n#include <string.h>/g' bindings.cpp

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

# cc1plus: warning: command line option "-Wdeclaration-after-statement" is valid for C/ObjC but not for C++
%{__sed} -i -e 's/-Wdeclaration-after-statement//' Makefile

%{__make} \
	CC="%{__cxx}" \
	OPTIMIZE="%{rpmcxxflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Algorithm/SVM/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Algorithm/*.pm
%{perl_vendorarch}/Algorithm/SVM
%dir %{perl_vendorarch}/auto/Algorithm/SVM
%{perl_vendorarch}/auto/Algorithm/SVM/*.bs
%{perl_vendorarch}/auto/Algorithm/SVM/*.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Algorithm/SVM/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Algorithm-SVM.spec,v $
Revision 1.21  2010/06/06 08:30:02  arekm
- release 2

Revision 1.20  2009/06/15 07:52:25  amateja
- updated to 0.13

Revision 1.19  2008/02/25 17:22:25  qboosh
- generic URL
- BR: sed 4

Revision 1.18  2008-02-23 22:46:24  glen
- it's a C++ program

Revision 1.17  2008-02-23 19:45:36  glen
- release 4

Revision 1.16  2008-02-10 11:58:35  arekm
- rel 3

Revision 1.15  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.14  2007-05-27 20:14:06  agaran
- added missing .ix file to %files, rel 2

Revision 1.13  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.11  2005/05/18 22:55:00  czucz
- updated to 0.11

Revision 1.10  2004/11/03 19:36:54  paladine
- formatting

Revision 1.9  2004/11/01 18:34:38  adamg
- updated to 0.09

Revision 1.8  2004/06/10 17:29:05  adamg
- updated to 0.08

Revision 1.7  2004/05/06 18:43:01  ankry
- fixed perl-devel BR

Revision 1.6  2004/04/17 05:46:22  ankry
- license fixes

Revision 1.5  2004/03/09 19:57:08  adamg
- new style bconds

Revision 1.4  2004/01/12 19:55:08  pius
- typo

Revision 1.3  2003/07/06 09:41:43  qboosh
- pl (except for SVM term...)

Revision 1.2  2003/07/03 17:46:07  ankry
- md5

Revision 1.1  2003/07/03 14:55:39  ankry
- new
